Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 580243003: Cleanup Fake* classes in remoting/protocol (Closed)

Created:
6 years, 4 months ago by Sergey Ulanov
Modified:
6 years, 4 months ago
Reviewers:
Wez
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@sctp
Project:
chromium
Visibility:
Public.

Description

Cleanup Fake* classes in remoting/protocol 1. Renamed FakeSocket to FakeStreamSocket and FakeUdpSocket to FakeDatagramSocket, 2. Added factories for both stream and datagram fake sockets, 3. Move fake sockets to separate files out of fake_session.h BUG=402993 Committed: https://crrev.com/98d8fe931814c79fd763148549fdb5ee2521e312 Cr-Commit-Position: refs/heads/master@{#296270}

Patch Set 1 : #

Total comments: 66

Patch Set 2 : #

Total comments: 8

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+786 lines, -495 lines) Patch
M remoting/protocol/authenticator_test_base.h View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/authenticator_test_base.cc View 2 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/buffered_socket_writer_unittest.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M remoting/protocol/channel_multiplexer_unittest.cc View 1 5 chunks +18 lines, -15 lines 0 comments Download
M remoting/protocol/connection_to_client_unittest.cc View 1 1 chunk +4 lines, -3 lines 0 comments Download
A remoting/protocol/fake_datagram_socket.h View 1 2 1 chunk +132 lines, -0 lines 0 comments Download
A remoting/protocol/fake_datagram_socket.cc View 1 2 1 chunk +170 lines, -0 lines 0 comments Download
M remoting/protocol/fake_session.h View 2 chunks +5 lines, -152 lines 0 comments Download
M remoting/protocol/fake_session.cc View 2 chunks +3 lines, -310 lines 0 comments Download
A remoting/protocol/fake_stream_socket.h View 1 2 1 chunk +158 lines, -0 lines 0 comments Download
A remoting/protocol/fake_stream_socket.cc View 1 1 chunk +277 lines, -0 lines 0 comments Download
M remoting/protocol/message_reader_unittest.cc View 3 chunks +3 lines, -3 lines 0 comments Download
M remoting/protocol/ssl_hmac_channel_authenticator_unittest.cc View 2 chunks +4 lines, -4 lines 0 comments Download
M remoting/remoting_test.gypi View 1 chunk +4 lines, -0 lines 0 comments Download

Messages

Total messages: 13 (5 generated)
Sergey Ulanov
6 years, 4 months ago (2014-09-19 00:01:41 UTC) #4
Wez
https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.cc File remoting/protocol/fake_datagram_socket.cc (right): https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.cc#newcode36 remoting/protocol/fake_datagram_socket.cc:36: read_pending_ = false; nit: Suggest blank line after this, ...
6 years, 4 months ago (2014-09-20 00:25:10 UTC) #5
Sergey Ulanov
https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.cc File remoting/protocol/fake_datagram_socket.cc (right): https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.cc#newcode36 remoting/protocol/fake_datagram_socket.cc:36: read_pending_ = false; On 2014/09/20 00:25:09, Wez wrote: > ...
6 years, 4 months ago (2014-09-22 19:22:12 UTC) #6
Wez
LGTM w/ nits. https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.h File remoting/protocol/fake_datagram_socket.h (right): https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.h#newcode46 remoting/protocol/fake_datagram_socket.h:46: void PairWith(FakeDatagramSocket* peer_socket); On 2014/09/22 19:22:11, ...
6 years, 4 months ago (2014-09-23 17:07:39 UTC) #8
Sergey Ulanov
https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.h File remoting/protocol/fake_datagram_socket.h (right): https://codereview.chromium.org/580243003/diff/40001/remoting/protocol/fake_datagram_socket.h#newcode46 remoting/protocol/fake_datagram_socket.h:46: void PairWith(FakeDatagramSocket* peer_socket); On 2014/09/23 17:07:38, Wez wrote: > ...
6 years, 4 months ago (2014-09-23 19:06:09 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/580243003/100001
6 years, 4 months ago (2014-09-23 20:31:17 UTC) #11
commit-bot: I haz the power
Committed patchset #3 (id:100001) as 856de83425e6db6caa72a9abbee0a83d07adc887
6 years, 4 months ago (2014-09-23 21:56:26 UTC) #12
commit-bot: I haz the power
6 years, 4 months ago (2014-09-23 21:56:59 UTC) #13
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/98d8fe931814c79fd763148549fdb5ee2521e312
Cr-Commit-Position: refs/heads/master@{#296270}

Powered by Google App Engine
This is Rietveld 408576698